---
title: Chef Habitat 0.61.0 Released
date: 2018-08-13
author: Josh Black
tags: release notes
category: product
classes: body-article
---

Habitat 0.61.0 Release Notes

We are happy to announce the release of Chef Habitat 0.61.0. We have a number of new features as well as bug fixes, so please read on for all the details. If you just want the binaries, head on over to [Install Chef Habitat](https://www.habitat.sh/docs/using-habitat/#install-habitat). Thanks again for using Chef Habitat!

### New Features & Enhancements
* Launcher simplify reload logic #5404 (baumanj)
* Allow Docker studio image name to be overridden #5425 (christophermaier)
* Adds force upload flag to cli #5407 (eeyun)
* Add variants support to plan-build #5345 (smacfarlane)
* Expose pkg_target in post-build environment files #5373 (christophermaier)
* [core] Add new PackageTarget from habitat-sh/core#42. #5355 (fnichol)
* [plan-build] Set $pkg_target at build time for build programs. #5350 (fnichol)
* New rootless container studio produced as part of release #5401 (elliott-davis)

### Behavioral Changes
* Make docker studio behave like chroot studio #5430 (elliott-davis)
* Make the rootless studio the default container studio #5426 (elliott-davis)
* Merge builder-depot-client and builder-api-client crates into single crate #5431 (eeyun)
* Add timeout for launcher waiting for IPC connection to supervisor #5393 (baumanj)
* Make butterfly output tunable with env_logger #5371 (baumanj)
* Rootless container is now the default container image #5426 (elliott-davis)
* Container studios are now persistent #5430 (elliott-davis)

### Bug Fixes
* [studio] Fast-fail when unmounting on Studio cleanup. #5434 (fnichol)
* Provide consistency in supervisor clap cmds, correcting help menu problems #5379 (jeremymv2)
* Allow Supervisor to receive messages from <= 0.59.0 Supervisors #5419 (christophermaier)
* Provide a way to communicate with one's own Butterfly server #5423 (christophermaier)
* If the supervisor terminates with an error result, don't restart it #5387 (baumanj)
* Allow a crashed supervisor to be restarted by the launcher #5384 (baumanj)
* Enable feature flags with any value except the empty string #5375 (christophermaier)
* Remove rust-ipc-socket files when appropriate #5365 (baumanj)
* Make sup-run launch the supervisor in its own session, detached from the TTY #5348 (baumanj)

### Merged Pull Requests
* Update permissions in docker studio to 1777 #5454 (elliott-davis)
* move build logic for rootless studio into buildkite #5452 (elliott-davis)
* Fix exit code for publish when pushing containers to dockerhub #5449 (elliott-davis)
* Fix one more repository spelling #5446 (raskchanky)
* Fix some release issues #5444 (christophermaier)
* add launcher appveyor build and always publish to unstable #5441 (mwrock)
* Add fnichol to CODEOWNERS for butterfly component. #5435 (fnichol)
* Promote from the release channel for both promotions #5428 (christophermaier)
* Miscellaneous Buildkite Tweaks #5420 (christophermaier)
* Add rootless studio to release #5401 (elliott-davis)
* Resurrect enough of the old macOS build to work in TravisCI #5418 (christophermaier)
* ensure RUNTIME_ENVIRONMENT does not include studio prefix #5421 (mwrock)
* [ci,rustfmt] Formatting due to rustfmt 0.8.2 in Rust 1.28.0. #5412 (fnichol)
* Add the mac-build.sh script back #5417 (christophermaier)
* [ci] Reimplement lint.sh program for better resilience. #5414 (fnichol)
* Avoid incomplete package installs #5369 (stevendanna)
* More Codeowners Changes #5405 (eeyun)
* add instructions for building a windows launcher #5400 (mwrock)
* Revert some reversions #5410 (baumanj)
* Add auto-build info to docs #5411 (chefsalim)
* Add myself to some things #5397 (scotthain)
* Fix a minor issue with finding the files to run shellcheck against #5396 (baumanj)
* [ci] Add a .buildkite entry to CODEOWNERS. #5395 (fnichol)
* Release from Buildkite #5391 (christophermaier)
* Fix shellcheck lints instead of just suppressing them #5259 (baumanj)
* Send Expeditor notifications to a Chef Habitat specific channel #5314 (scotthain)
* Correct typographical issues in CODE_OF_CONDUCT.md #5316 (jerryaldrichiii)
* Print the values of the feature environment variables rather than "true" #5383 (baumanj)
* add blog post covering windows cots development #5376 (mwrock)
* Bump Sprockets to latest #5378 (cnunciato)
* Switch to prost from protobuf crate in Butterfly #5179 (reset)
* Decouple builder-depot-client from protobuf #5372 (chefsalim)
* Add blog post for GKE and GCR #5352 (skpaterson)
* Initial draft of "bastion ring" documentation #5359 (christophermaier)
* [ci,rustfmt] Formatting due to rustfmt 0.6.1 release in Rust 1.27.1. #5356 (fnichol)
* Change spamming message to debug only #5362 (chefsalim)
* Fix pacakge typo to package #5349 (gsreynolds)
* Add myself to maintainers #5313 (scotthain)
* adding DesiredState enum to ServiceStatus proto type #5308 (jeremymv2)
* Allow butterfly server to start given a corrupted rumor file #5295 (jeremymv2)
* Update release doc to add worker promotion #5340 (chefsalim)
* Avoid running out of space on the Mac launcher during the release #5346 (baumanj)
* Update release process documentation #5344 (baumanj)
* Update CODEOWNERS #5304 (baumanj)
* Fix a replacement bug in the docs generator #5338 (cnunciato)
* Add Jon Bauman to authors #5339 (baumanj)
* Add back unintentionally-removed $ on variable #5337 (baumanj)
* Add 0.59.0 Release blog post #5336 (baumanj)
* Fix doc generator, generate 0.59.0 docs #5335 (cnunciato)
